%% develope c-function

% THIS FUNCTION WAS USED FOR TESTING
%
% ..the C-function, mentioned below.


%% compile
mex evaluateMeasurePolynome.c

%% test
vecMatrix = [1 0 0 0; ...
             0 1 0 0; ...
             0 0 1 0; ...
             0 0 0 1; ...
             1 1 1 1; ...
             1 2 3 4]';
tensorOne = [1 1.5 1.75 2];
tensorTwo = [1 1 1 1; ...
             0 1 1 1; ...
             0 0 1 1; ...
             0 0 0 1];
             
evaluateMeasurePolynome(tensorOne, vecMatrix, 1)
evaluateMeasurePolynome(tensorTwo, vecMatrix, 2)
evaluateMeasurePolynome(ones(4), vecMatrix, 2)
evaluateMeasurePolynome(rand([4 4 4]), vecMatrix, 3)